#%%define betaver	1
%global rcver	1
%global date 20031121

#%%global momorel 0%{?betaver:.%{betaver}}.%{date}.3
%global momorel 0%{?rcver:.%{rcver}}.%{date}.3

Summary: Foomatic printer database.
Name: foomatic

Version: 3.0.1
Release: %{momorel}m
Group: System Environment/Libraries
License: GPL
URL: http://www.linuxprinting.org/

#%%global srcver %{version}%{?betaber:beta%{betaver}}
%global srcver %{version}%{?rcver:rc%{rcver}}

%NoSource 0 http://www.linuxprinting.org/download/foomatic/%{name}-db-engine-%{srcver}.tar.gz 8c117150f00f75cde9096dbe0cc1a30d
%NoSource 1 http://www.linuxprinting.org/download/foomatic/%{name}-filters-%{srcver}.tar.gz 2b95b9ab815c5b238dea2af4d8a88210

#Patch0: foomatic-db-engine-3.0.0-%{date}.patch
#Patch1: foomatic-filters-3.0.0-%{date}.patch
#Patch10: foomatic-3.0.0beta1-compiledb-libdir.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 5.8.2
BuildRequires: libxml2-devel

PreReq: coreutils, initscripts
Requires: wget

%description
Foomatic is a comprehensive, spooler-independent database of printers,
printer drivers, and driver descriptions. It contains utilities to
generate driver description files and printer queues for CUPS, LPD,
LPRng, and PDQ using the database. There is also the possibility to
read the PJL options out of PJL-capable laser printers and take them
into account at the driver description file generation.

There are spooler-independent command line interfaces to manipulate
queues (foomatic-configure) and to print files/manipulate jobs
(foomatic printjob).

The site http://www.linuxprinting.org/ is based in this database.

%prep
%setup -q -c -T -a 0 -a 1 -n %{name}

%__mkdir_p docs/foomatic-db-engine
%__mkdir_p docs/foomatic-filters

pushd %{name}-db-engine-%{srcver}
#%patch0 -p0
#%patch10 -p0 -b .libdir~
%__chmod +x mkinstalldirs
%__cp -p COPYING ChangeLog Foomatic-Devel-Ideas.txt *README* TODO USAGE \
    ../docs/foomatic-db-engine
popd

pushd %{name}-filters-%{srcver}
#%patch1 -p1
%__chmod +x mkinstalldirs
%__cp -p COPYING ChangeLog README TODO USAGE ../docs/foomatic-filters
popd

# fix permission
find docs -type f | xargs chmod a-x
find . -name '*.pm' | xargs chmod a-x

%build
### MUST NOT USE THE %%{_smp_mflags}.
%undefine _smp_mflags
for d in db-engine filters; do
  pushd %{name}-${d}-%{srcver}
  %configure
  %make
  popd
done

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

for d in db-engine filters; do
  pushd %{name}-${d}-%{srcver}
  %makeinstall \
    PERLPREFIX=%{buildroot}%{_prefix} \
    LIBDIR=%{buildroot}%{_datadir}/foomatic \
    CUPS=%{buildroot}%{_libdir}/cups \
    CUPS_FILTERS=%{buildroot}%{_libdir}/cups/filter \
    PPR=%{buildroot}%{_libdir}/ppr \
    PPR_INTERFACES=%{buildroot}%{_libdir}/ppr/interfaces \
    PPR_LIB=%{buildroot}%{_libdir}/ppr/lib
  popd
done

# corrects symbolic links
%__ln_s -f %{_bindir}/foomatic-ppdfile %{buildroot}%{_bindir}/foomatic-datafile
%__ln_s -f %{_bindir}/foomatic-rip %{buildroot}%{_libdir}/cups/filter/foomatic-rip

# we do not ship PPR
%__rm -rf %{buildroot}/%{_libdir}/ppr
%__rm -f %{buildroot}%{perl_sitearch}/auto/Foomatic/.packlist
%__mkdir -p %{buildroot}%{_datadir}/config-sample/foomatic
%__mv -f %{buildroot}/etc/foomatic/filter.conf.sample %{buildroot}%{_datadir}/config-sample/foomatic

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/*
%{_bindir}/*
%{_sbindir}/*
%dir %{_sysconfdir}/foomatic
%dir %{_sysconfdir}/foomatic/direct
%config %{_sysconfdir}/foomatic/filter.conf
%dir %{_datadir}/config-sample/foomatic
%{_datadir}/config-sample/foomatic/filter.conf.sample
#%dir %{_libdir}/cups
#%dir %{_libdir}/cups/filter
%{_libdir}/cups/filter/*
%dir %{perl_sitelib}/Foomatic
%{perl_sitelib}/Foomatic/*.pm
%dir %{_datadir}/foomatic
%dir %{_datadir}/foomatic/templates
%{_datadir}/foomatic/templates/*
%{_mandir}/*/*

%changelog
* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.0.1-0.1.20031121.3m)
- rebuild against for libxml2-2.6.8

* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (3.0.1-0.1.20031121.2m)
- revised spec for enabling rpm 4.2.
- perl = 5.8.2 is toooooooo strict as well as Japanese traditional OYAJI.

* Fri Dec 19 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (3.0.1-0.1.20031121.1m)
- update to 3.0.1rc1
- do not require cups, since foomatic can also be used with LPRng,
  and LPRng conflicts with cups.

* Sun Nov 09 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0.0-0.20031102.2m)
- rebuild against perl-5.8.2

* Sun Nov 02 2003 Kenta MURATA <muraken2@nifty.com>
- (3.0.0-0.20031102.1m)
- version up.
- MUST NOT USE THE %%{_smp_mflags}.

* Wed Oct 29 2003 Kenta MURATA <muraken2@nifty.com>
- (3.0.0-0.20030509.1m)
- pretty spec file.

* Sat Jul  5 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (3.0.0-0.20030509.1m)
- update to post-3.0.0 release (CVS version as of 2003/05/09)

* Mon Mar 24 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (3.0.0-0.1.20030310.1m)
- update to post-3.0.0beta1 (CVS version as of 2003/03/10)
- add "-l" option to foomatic-compiledb

* Sun Nov 24 2002 Kazuhiko <kazuhiko@fdiary.net>
- (1.1-0.2002040603m)
- rebuild against perl-5.8.0

* Sat Apr  6 2002 Kenta MURATA <muraken@kondara.org>
- (1.1-0.2002040602k)
- update database.
- zaoriku to Omni-printers.tar.bz2.

* Sat Apr  6 2002 Kenta MURATA <muraken@kondara.org>
- (1.1-0.2001101810k)
- remove Omni-printers.tar.bz2 and foomatic-for-omni-printer.patch.

* Thu Feb 28 2002 Shingo Akagaki <dora@kondara.org>
- (1.1-0.2001101808k)
- remove Foomatic::GrovePath module

* Wed Feb 27 2002 Kenta MURATA <muraken@kondara.org>
- (1.1-0.2001101806k)
- perl = 1:5.6.1

* Wed Feb  6 2002 Kenta MURATA <muraken@kondara.org>
- (1.1-0.2001101804k)
- add option definition file for Canon BJC-700J.

* Thu Oct 25 2001 Toru Hoshina <t@kondara.org>
- (1.1-0.2001101802k)
- merge from rawhide.

* Thu Oct 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011018.1
- rolled to pull in latest information.
- added Omni printers to the printer list.

* Fri Oct 05 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011005.1
- rolled to pull in an ia64 fix to foomatic-combo-xml.c

* Mon Oct 01 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20011001.1
- rolled to pull in foomatic fixes to foomatic-combo-xml.c

* Wed Sep 05 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010905.1
- upgraded to latest foomatic, we now have fast overview generation!
- this means that there is no prebuilt overview file.

* Tue Aug 28 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010828.1
- WOW! The latest foomatic uses Till Kamppeter's C based combo compiler.
- It is now fast enough that there is no real benifit to precompiling.
- NOTE: this forces the package to stop being noarched.

* Mon Aug 27 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010827.1
- fresh pull, maybe it fixes the build errors.

* Sat Aug 25 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010825.1
- did a fresh database pull, which contains the old japanese printers as well.
- removed japanese hack.

* Tue Aug 14 2001 Akira TAGOH <tagoh@redhat.com> 1.1-0.20010717.5
- Add Japanese printer entry.

* Mon Aug  6 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010717.4
- move the cache back to /var, sigh.

* Mon Jul 23 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010717.2
- made foomatic pre-compute its db

* Thu Jul 18 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.1-0.20010717.1
- imported from mandrake.

* Tue Jul 17 2001 Till Kamppeter <till@mandrakesoft.com> 1.1-0.20010717mdk
- Added job listing/removal/manipulation and queue control to
  foomatic-printjob
- Support for printing multiple copies with PDQ

* Fri Jul 14 2001 Till Kamppeter <till@mandrakesoft.com> 1.1-0.20010714mdk
- Included the cupsomatic filter script
- When a queue is set up, default options can be set now
- Help messages of foomatic-configure and foomatic-printjob cleaned up.

* Fri Jul 13 2001 Till Kamppeter <till@mandrakesoft.com> 1.1-0.20010713mdk
- Many bugfixes in "foomatic-printjob".
- "foomatic-configure" adds the Foomatic config file directory automatically
  to the search paths of PDQ.
- Printing a help page under PDQ was broken.

* Thu Jul 12 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1-0.20010712mdk
- BuildRequires:	perl-devel

* Wed Jul 11 2001 Till Kamppeter <till@mandrakesoft.com> 1.1-0.20010711mdk
- initial release.
- Deleted the obsolete drivers "stp", "cZ11", and "hpdj".
- Patch applied which flushes the memory cache regularly, otherwise
  foomatic-configure would hang when the Foomatic data of GIMP-Print is
  installed. 
